/*
			Copyright (c) 1994 by
			Advanced Visual Systems Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
	
	This file is under Perforce control
	$Id: //depot/express/fcs992/include/avs/ne_om.h#1 $
*/
#ifndef NE_OM_INCLUDED
#define NE_OM_INCLUDED

#define NE_MAX_PORT_COLORS 6

#ifdef __cplusplus
    extern "C" {
#endif

#ifdef NE_OM_DECLARE 
#define NE_OM_EXTERN 
#else
#ifdef XP_INTERNAL_GLOBALS
#define NE_OM_EXTERN extern
#else
#define NE_OM_EXTERN DLL_IMPORT
#endif
#endif


NE_OM_EXTERN OMobj_name 
    NE_name_NEdisplayMode, NE_name_NEscalingFactor, NE_name_NExOffset,
    NE_name_NEyOffset,
    NE_name_NEx, NE_name_NEy, NE_name_NEwidth, NE_name_NEheight,
    NE_name_NEportLevels, NE_name_NEnumSubports, NE_name_NEsubportsVisible,
    NE_name_NEiconName, 
    NE_name_NEcolors[NE_MAX_PORT_COLORS], 
    NE_name_NEnumColors, NE_name_NEgridWidth, NE_name_NEgridHeight, 
    NE_name_NEmaxWidth, NE_name_NEmaxHeight, NE_name_NEhorizontal,
    NE_name_NEopened, NE_name_NEclosed, NE_name_NEeditable,
    NE_name_NEmaximized, NE_name_NEvisible,
    NE_name_NEreparentable, NE_name_NEbackgroundPixmap,
    NE_name_NEscrollToBottom, NE_name_NEscratchPad,
    NE_name_NEhelpTopic, NE_name_NEiconDisplayMode, NE_name_NElargePixmapName,
    NE_name_NEsmallPixmapName, NE_name_NEpixmapMode,
    NE_name_NElargePixmapType, NE_name_NEsmallPixmapType,
    NE_name_NEopenable,
    NE_name_NEupstream,
    NE_name_NEhelpFile, NE_name_NEhelpContextID,
    NE_name_NEpopupMenu, NE_name_NEselectOnCreate, NE_name_NEupdateSubobjs,
    NE_name_NEshowParams;

#ifdef __cplusplus
    }
#endif

#endif
